POST api/pctypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "ffd6361c-7eb6-4299-922c-e54fb443e85c",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<pc_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>ffd6361c-7eb6-4299-922c-e54fb443e85c</id> <type>sample string 4</type> </pc_type>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"1d7c0b17-d3bb-4b54-8779-efdc28d6c6e2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1d7c0b17-d3bb-4b54-8779-efdc28d6c6e2</guid>